XCB 1.16

Data Fields
xcb_input_event_for_send_t Union Reference
XCB Input API

xcb_input_event_for_send_t More...

`#include <xinput.h>`

Collaboration diagram for xcb_input_event_for_send_t:
[legend]

## Data Fields
xcb_input_device_valuator_event_t | device_valuator
xcb_input_device_key_press_event_t | device_key_press
xcb_input_device_key_release_event_t | device_key_release
xcb_input_device_button_press_event_t | device_button_press
xcb_input_device_button_release_event_t | device_button_release
xcb_input_device_motion_notify_event_t | device_motion_notify
xcb_input_device_focus_in_event_t | device_focus_in
xcb_input_device_focus_out_event_t | device_focus_out
xcb_input_proximity_in_event_t | proximity_in
xcb_input_proximity_out_event_t | proximity_out
xcb_input_device_state_notify_event_t | device_state_notify
xcb_input_device_mapping_notify_event_t | device_mapping_notify
xcb_input_change_device_notify_event_t | change_device_notify
xcb_input_device_key_state_notify_event_t | device_key_state_notify
xcb_input_device_button_state_notify_event_t | device_button_state_notify
xcb_input_device_presence_notify_event_t | device_presence_notify
xcb_raw_generic_event_t | event_header

## Detailed Description

xcb_input_event_for_send_t

The documentation for this union was generated from the following file:

- xinput.h